package learn.navdrawbase;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import android.widget.SeekBar;
import android.widget.TextView;
import android.widget.Toast;

import java.util.Date;

public class Activity_Tag extends BaseActivity {

    private TextView textTag;
    private TextView titre;
    private SeekBar yourSeekBar;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_tag);

        Intent intent = getIntent();

        String titreLieu = intent.getStringExtra("titreLieu");
        java.text.SimpleDateFormat sdf = new java.text.SimpleDateFormat("HH:mm");
        String texte_date = sdf.format(new Date());

        titre = (TextView) findViewById(R.id.presentation);
        titre.setText(titreLieu);

        textTag = (TextView) findViewById(R.id.textTag);
        textTag.setText("Etat actuel: Lieu moyennement fréquenté\n\nVous allez taguer le lieu pour l'horaire suivant: "+texte_date+"\n");

        yourSeekBar = (SeekBar) findViewById(R.id.seekBar);
        yourSeekBar.setOnSeekBarChangeListener(new yourListener());


    }

    private class yourListener implements SeekBar.OnSeekBarChangeListener {

        public void onProgressChanged(SeekBar seekBar, int progress,boolean fromUser) {
            //Modifier le texte
            if (progress==0){
                textTag.setText("Lieu peu fréquenté");
            }
            if (progress == 1){
                textTag.setText("Lieu moyennement fréquenté");
            }
            if (progress == 2){
                textTag.setText("Lieu très fréquenté");
            }
        }

        public void onStartTrackingTouch(SeekBar seekBar) {}

        public void onStopTrackingTouch(SeekBar seekBar) {}

    }

    public void taguerLieu(View v){
        Toast toast;
        toast = Toast.makeText(getApplicationContext(), "Tag effectué avec succès !", Toast.LENGTH_SHORT);
        if(toast != null) {
            toast.show();
        }
    }

}
